# [Deprecated] Send a message POST https://api.moveworks.ai/rest/v1/messages/send Content-Type: application/json Send a message to users. This endpoint is deprecated, but existing integrations will continue to work. Reference: https://docs.moveworks.com/api-reference/events-api/deprecated/send-message ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: '[Deprecated] Send a message' version: endpoint_deprecated.sendMessage paths: /rest/v1/messages/send: post: operationId: send-message summary: '[Deprecated] Send a message' description: > Send a message to users. This endpoint is deprecated, but existing integrations will continue to work. tags: - - subpackage_deprecated parameters: - name: Authorization in: header description: >- Bearer authentication of the form `Bearer `, where token is your auth token. required: true schema: type: string responses: '204': description: Successfully scheduled content: application/json: schema: $ref: '#/components/schemas/Deprecated_sendMessage_Response_204' '400': description: Bad Request content: {} '401': description: Unauthenticated content: {} '403': description: Unauthorized content: {} '429': description: Rate Limit Exceeded content: {} requestBody: description: >- Object containing all the data needed to send a message to a list of recipients content: application/json: schema: $ref: '#/components/schemas/SendMessageRequest' components: schemas: SendMessageRequest: type: object properties: message: type: string description: >- Message to be sent, formatted in Moveworks' version of HTML. Moveworks attempts to shorten valid links to fit within chat platform constraints. Consult your chat platform API documentation to understand actual character limits. recipients: type: array items: type: string description: Email addresses of the employees to send the message to required: - message - recipients Deprecated_sendMessage_Response_204: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://api.moveworks.ai/rest/v1/messages/send" payload = { "message": "This is a rich message that supports bold and italics.

Did I mention, we also support:
", "recipients": ["email@email.com"] } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.moveworks.ai/rest/v1/messages/send'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"message":"This is a rich message that supports bold and italics.

Did I mention, we also support:
","recipients":["email@email.com"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.moveworks.ai/rest/v1/messages/send" payload := strings.NewReader("{\n \"message\": \"This is a rich message that supports bold and italics.

Did I mention, we also support:
\",\n \"recipients\": [\n \"email@email.com\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.moveworks.ai/rest/v1/messages/send") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"message\": \"This is a rich message that supports bold and italics.

Did I mention, we also support:
\",\n \"recipients\": [\n \"email@email.com\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.moveworks.ai/rest/v1/messages/send") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"message\": \"This is a rich message that supports bold and italics.

Did I mention, we also support:
\",\n \"recipients\": [\n \"email@email.com\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.moveworks.ai/rest/v1/messages/send', [ 'body' => '{ "message": "This is a rich message that supports bold and italics.

Did I mention, we also support:
", "recipients": [ "email@email.com" ] }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.moveworks.ai/rest/v1/messages/send"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"message\": \"This is a rich message that supports bold and italics.

Did I mention, we also support:
\",\n \"recipients\": [\n \"email@email.com\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "message": "This is a rich message that supports bold and italics.

Did I mention, we also support:
", "recipients": ["email@email.com"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.moveworks.ai/rest/v1/messages/send")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```